Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Creates an IP address.
cURL
curl --request POST \ --url https://api.equalsmoney.com/v2/ipaddresses \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data @- <<EOF { "ip": "8.8.8.8", "description": "John Smith's home IP", "personId": "775596ae-2624-40af-a9dc-9756110a4a04" } EOF
import requests url = "https://api.equalsmoney.com/v2/ipaddresses" payload = { "ip": "8.8.8.8", "description": "John Smith's home IP", "personId": "775596ae-2624-40af-a9dc-9756110a4a04" } headers = { "Authorization": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({ ip: '8.8.8.8', description: 'John Smith\'s home IP', personId: '775596ae-2624-40af-a9dc-9756110a4a04' }) }; fetch('https://api.equalsmoney.com/v2/ipaddresses', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/ipaddresses", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'ip' => '8.8.8.8', 'description' => 'John Smith\'s home IP', 'personId' => '775596ae-2624-40af-a9dc-9756110a4a04' ]), CURLOPT_HTTPHEADER => [ "Authorization: <api-key>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/ipaddresses" payload := strings.NewReader("{\n \"ip\": \"8.8.8.8\",\n \"description\": \"John Smith's home IP\",\n \"personId\": \"775596ae-2624-40af-a9dc-9756110a4a04\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.equalsmoney.com/v2/ipaddresses") .header("Authorization", "<api-key>") .header("Content-Type", "application/json") .body("{\n \"ip\": \"8.8.8.8\",\n \"description\": \"John Smith's home IP\",\n \"personId\": \"775596ae-2624-40af-a9dc-9756110a4a04\"\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/ipaddresses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '<api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"ip\": \"8.8.8.8\",\n \"description\": \"John Smith's home IP\",\n \"personId\": \"775596ae-2624-40af-a9dc-9756110a4a04\"\n}" response = http.request(request) puts response.read_body
{ "id": "2327f0d0-2cb5-4f31-8de2-b9d04036fdd9", "ipaddressableId": "8365191f-08b8-4dc5-88fd-73fcd7fd41a1", "ip": "8.8.8.8", "description": "John Smith's home IP", "ipaddressableType": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }
Body
The IP address.
50
^(\b25[0-5]|\b2[0-4][0-9]|\b[01]?[0-9][0-9]?)(\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)){3}(\/([0-9]|[1-2][0-9]|3[0-2]))?$
"8.8.8.8"
A description of the IP address.
256
"John Smith's home IP"
ID of the person to work with. If not set, defaults to caller’s ID
36
"775596ae-2624-40af-a9dc-9756110a4a04"
Created
The ID of the IP address.
"2327f0d0-2cb5-4f31-8de2-b9d04036fdd9"
The date the Resource was initially created. ISO 8601 format without milliseconds.
The date the Resource was last modified. ISO 8601 format without milliseconds.
Was this page helpful?